/*
		LiquidQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/


#include "stdafx.h"
#include "Cbreak.h"
#include "LiquidQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// LiquidQuery dialog


LiquidQuery::LiquidQuery(char *title, char *query, int initial,CWnd* pParent /*=NULL*/)
	: CDialog(LiquidQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(LiquidQuery)
	m_value = (initial == -1 ? 0 : initial);
	m_query_string = query;
	//}}AFX_DATA_INIT
	value=initial;
}


void LiquidQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(LiquidQuery)
	DDX_Text(pDX, IDC_QUERY_STRING, m_query_string);
	DDX_CBIndex(pDX, IDC_QUERY_LTYPE, m_value);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(LiquidQuery, CDialog)
	//{{AFX_MSG_MAP(LiquidQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// LiquidQuery message handlers

void LiquidQuery::OnOK() 
{
	UpdateData(TRUE);	  
    value=m_value;
	CDialog::OnOK();
}
